ru.bitel.bgbilling.modules.megogo.server.event

## Class MegogoSubscriptionRequestedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.megogo.server.event.MegogoSubscriptionRequestedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class MegogoSubscriptionRequestedEvent
      extends QueueEvent

  Асинхронное событие, бросаемое после того, как произвели успешный запрос к Megogo связанный с подпиской(подписка, отписка, приостановка, возобновление).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MegogoSubscriptionRequestedEvent()`
    `MegogoSubscriptionRequestedEvent(int moduleId, int contractId, int userId, MegogoSubscription subscription, int contractSubscriptionId, int requestType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractSubscriptionId()` Код подписки договора, может быть -1, если это новая подписка
    `int` | `getRequestType()` `MegogoContractSubRequestLog` MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUBSCRIBE = 1; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_UNSUBSCRIBE = 2; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUSPEND = 3; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_RESUME = 4;
    `MegogoSubscription` | `getSubscription()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MegogoSubscriptionRequestedEvent

          public MegogoSubscriptionRequestedEvent()

    - #### MegogoSubscriptionRequestedEvent

          public MegogoSubscriptionRequestedEvent(int moduleId,
                                                  int contractId,
                                                  int userId,
                                                  MegogoSubscription subscription,
                                                  int contractSubscriptionId,
                                                  int requestType)

  - ### Method Detail

    - #### getSubscription

          public MegogoSubscription getSubscription()

    - #### getContractSubscriptionId

          public int getContractSubscriptionId()

      Код подписки договора, может быть -1, если это новая подписка

    - #### getRequestType

          public int getRequestType()

      `MegogoContractSubRequestLog`
      MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUBSCRIBE = 1; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_UNSUBSCRIBE = 2; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUSPEND = 3; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_RESUME = 4;
      Returns:
        код запроса